#include <bits/stdc++.h>
using namespace std;
int main()
{
	int n;
	scanf("%i",&n);
	char s[n+1];
	scanf("%s",&s);
	if(n<26)
	{
		printf("0\n");
	}
	else if(n==27 || n==26)
	{
		map<char,int>mapa;
		bool broke=false;
		for(int i=0;i<n;i++)
		{
			mapa[s[i]]++;
		}
		for(int i=65;i<=90;i++)
		{
			char ascii=i;
			if(mapa[ascii]==0)
			{
				printf("0\n");
				broke=true;
				break;
			}
		}
		if(broke==false)
		{
			bool brokeee=false;
			for(int i=0;i<n-1;i++)
			{
				if(s[i]>s[i+1] && mapa[s[i+1]]!=2 && mapa[s[i]]!=2)
				{
					printf("0\n");
					brokeee=true;
					break;
				}
			}
			if(brokeee==false)
			{
				bool brokee=false;
				for(int i=0;i<n-1;i++)
				{
					if(s[i]==s[i+1])
					{
						printf("2\n");
						brokee=true;
						break;
					}
				}
				if(brokee==false)
				{
					printf("1\n");
				}
			}
		}
	}
	/*else
	{
		map<char,int>mapa;
		bool broke=false;
		for(int i=0;i<n;i++)
		{
			mapa[s[i]]++;
		}
		for(int i=65;i<=90;i++)
		{
			char ascii=i;
			if(mapa[ascii]==0)
			{
				printf("0\n");
				broke=true;
				break;
			}
		}
		if(broke==false)
		{

		}
	}*/
	return 0;
}